<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');

$bitForm = "nom4140";
$bitMod = "nom";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'consultarGrupos':
		echo consultarGrupos();
		break;

	case 'guardar':
		echo guardar();
		break;

	case 'borrar':
		echo borrar();
		break;
}

function consultarGrupos() {
	global $empCod;
	$numCod=utf8_decode($_POST['numCod']);

	# QUERYS
	$sGrupo = "SELECT *, TRIM(gru_nom) AS gru_nom FROM grupo where gru_emp='$empCod' AND gru_cod='$numCod'";

	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sGrupo, "grupo");
	$db->close();

	$func = new functions();

	return $func->jsonEncodeArray($resp, "grupo");
}


function guardar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$numCod=$_POST['numCod'];
	$txtNom=utf8_decode($_POST['txtNom']);
	$selTperiodo=utf8_decode($_POST['selTperiodo']);

	# QUERYS PARA UN REGISTRO
	$iGrupo = "INSERT INTO grupo(gru_emp,gru_cod, gru_nom, gru_tper) VALUES ('$empCod','$numCod','$txtNom','$selTperiodo')";

	$uGrupo = "UPDATE grupo SET gru_nom='$txtNom',gru_tper='$selTperiodo' WHERE gru_emp='$empCod' AND gru_cod='$numCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	if ($func->stringToBool($_POST['nuevo'])) {
		$resp = $db->iEx($iGrupo);
		$db->iEx($func->iBitacora(utf8_decode("Se creó Grupo, Codigo: $numCod   txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	} else {
		$resp = $db->uEx($uGrupo);
		$db->iEx($func->iBitacora(utf8_decode("Se modificó Grupo, Codigo: $numCod   $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	}
	
	$db->close();

	return json_encode($resp);
}

function borrar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$func = new functions();

	$numCod=$_POST['numCod'];
	$txtNom=$_POST['txtNom'];

	# QUERYS
	$dGrupo = "DELETE FROM grupo WHERE gru_emp='$empCod' AND gru_cod='$numCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$resp = $db->dEx($dGrupo);
	$db->iEx($func->iBitacora(utf8_decode("Se borró Grupos, Codigo: $numCod  $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	$db->close();

	return json_encode($resp);
}
?>